#!/bin/bash

INSTALLER_PATH=/var/cache/nxclient-installer
VERSION=0
VERBOSE=1
FORCE_UPGRADE=0

mkdir -p $INSTALLER_PATH
cd $INSTALLER_PATH
[ -e 'report.success' ] && VERSION=$(cat report.success | grep upstream-version | cut -d '>' -f2 | cut -d '<' -f1)
[ $VERBOSE == '1' ] && echo "Current version = $VERSION"
/usr/share/nxclient-installer/uscan --no-symlink --destdir . --watchfile /usr/share/nxclient-installer/watch.$(uname -m) --package nxclient --upstream-version $VERSION --dehs > report.try
if [ $? != '0' -a $FORCE_UPGRADE == '0' ]
then
	[ $VERBOSE == '1' ] && echo "No new version found"
	rm report.try
	exit 0
else
	[ $VERBOSE == '1' ] && echo "New version found"
	mv report.try report.new
	wget -c "$(cat report.new | grep upstream-url | cut -d '>' -f2 | cut -d '<' -f1)"
	if [ $? != '0' ]
	then
		[ $VERBOSE == '1' ] && echo "Download failed"
		rm report.new
		exit 2;
	else
		[ $VERBOSE == '1' ] && echo "New version found"
		[ -d 'NX' ] && rm -rf NX
		tar -xzf $(cat report.new | grep upstream-url | cut -d '>' -f2 | cut -d '<' -f1 | tr "/" "\n" | tail -n 1)
		if [ -d '/opt/nxclient' ]
		then
			cp -fr NX/* /opt/nxclient/
			rm -rf NX
			[ $VERBOSE == '1' ] && echo "Upgraded"
		else
			mv NX /opt/nxclient
			[ $VERBOSE == '1' ] && echo "Installed"
		fi
		mv report.new report.success
		exit 0
	fi
fi

